// Definition de la table des Appareils
/*********************************************************************/
// par TCO_Web (Utpeca) le 29/11/2022
typedef struct 
{
  char   etaApp;    // état de l'appareil ( de '1' a '4')
  char   typApp;    // type de l'appareil ('A', 'J', 'T', 'S')
  byte   noMot1;    // No du 1er moteur (de 1 a 8)
  byte   noMot2;    // No du 2me moteur (de 1 a 8)
  byte   noRcpt;    // No du ESP32 recepteur
} appareil;

appareil t_App[NBMOT] = 
{
  {'1', 'A', 1, 0, 2},
  {'1', ' ', 0, 0, 0},
  {'1', ' ', 0, 0, 0},
  {'1', ' ', 0, 0, 0},
  {'1', ' ', 0, 0, 0},
  {'1', ' ', 0, 0, 0},
  {'1', ' ', 0, 0, 0},
  {'1', ' ', 0, 0, 0}
};

// Remplacer %CONSTRUIRE_TCO% par la table des images dans la page web
/*********************************************************************/
String processor(const String& var)
{
  if (var == "CONSTRUIRE_TCO")
  {
    String tco = "";
    tco += "<table border='0' cellspacing='0' cellpadding='0'><tr>\n";
    tco += "<tr>\n";
    tco += "<td> <img class='img1' src='Sign'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='vide'></td>\n"; 
    tco += "<td> <img class='img1' src='VirG1_180'></td>\n"; 
    tco += "<td> <img class='img1' src='H1'></td>\n"; 
    tco += "<td> <img class='img1' src='But5_180'></td>\n"; 
    tco += "</tr>\n";
    tco += "<tr>\n";
    tco += "<td> <img class='img1' src='But5'></td>\n"; 
    tco += "<td> <img class='img1' src='H1'></td>\n"; 
    tco += "<td> <a href='javascript:;' onClick=\"posApp1=ChangeAig(posApp1, 'Aig1', 'AigG1', '')\"> <img class='img1' src='AigG1_E1' name='imgAig1'></td>\n"; 
    tco += "<td> <img class='img1' src='H1'></td>\n"; 
    tco += "<td> <img class='img1' src='H1'></td>\n"; 
    tco += "<td> <img class='img1' src='But5_180'></td>\n"; 
    tco += "</tr>\n";
    tco += "</table>\n";
    return tco;
  }
  else if (var == "VALEUR_APP1") { return String(t_App[0].etaApp); }
  else if (var == "VALEUR_APP2") { return String(t_App[1].etaApp); }
  else if (var == "VALEUR_APP3") { return String(t_App[2].etaApp); }
  else if (var == "VALEUR_APP4") { return String(t_App[3].etaApp); }
  else if (var == "VALEUR_APP5") { return String(t_App[4].etaApp); }
  else if (var == "VALEUR_APP6") { return String(t_App[5].etaApp); }
  else if (var == "VALEUR_APP7") { return String(t_App[6].etaApp); }
  else if (var == "VALEUR_APP8") { return String(t_App[7].etaApp); }
  else return String();
}

/*********************************************************************/
void ChargerVignettes()
/*********************************************************************/
{
  server.on("/Pierre", HTTP_GET, [](AsyncWebServerRequest *request)
    { request->send(SPIFFS, "/Pierre.gif", "image/gif"); });
  server.on("/Ligne", HTTP_GET, [](AsyncWebServerRequest *request)
    { request->send(SPIFFS, "/Ligne.gif", "image/gif"); });
  server.on("/Titre2", HTTP_GET, [](AsyncWebServerRequest *request)
    { request->send(SPIFFS, "/Titre2.gif", "image/gif"); });
  server.on("/vide", HTTP_GET, [](AsyncWebServerRequest *request)
    { request->send(SPIFFS, "/vide.png", "image/png"); });
  server.on("/Sign", HTTP_GET, [](AsyncWebServerRequest *request)
    { request->send(SPIFFS, "/Sign.png", "image/png"); });
  server.on("/H1", HTTP_GET, [](AsyncWebServerRequest *request)
    { request->send(SPIFFS, "/H1.png", "image/png"); });
  server.on("/But5", HTTP_GET, [](AsyncWebServerRequest *request)
    { request->send(SPIFFS, "/But5.png", "image/png"); });
  server.on("/But5_180", HTTP_GET, [](AsyncWebServerRequest *request)
    { request->send(SPIFFS, "/But5_180.png", "image/png"); });
  server.on("/VirG1_180", HTTP_GET, [](AsyncWebServerRequest *request)
    { request->send(SPIFFS, "/VirG1_180.png", "image/png"); });
  server.on("/AigG1_E1", HTTP_GET, [](AsyncWebServerRequest *request)
    { request->send(SPIFFS, "/AigG1_E1.png", "image/png"); });
  server.on("/AigG1_E2", HTTP_GET, [](AsyncWebServerRequest *request)
    { request->send(SPIFFS, "/AigG1_E2.png", "image/png"); });
}
